## NAME

r.resample - GRASS raster map layer data resampling capability.

## KEYWORDS

raster, resample, nearest neighbor

## SYNOPSIS

r.resample
r.resample --help
r.resample input=string output=string [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=string [required]
  Name of an input layer
output=string [required]
  Name of an output layer

## DESCRIPTION

r.resample resamples the data values in a user-specified raster input map layer name (bounded by the current geographic region and masked by the current mask), and produces a new raster output map layer name containing the results of the resampling. The category values in the new raster output map layer will be the same as those in the original, except that the resolution and extent of the new raster output map layer will match those of the current geographic region settings (see g.region). r.resample is intended for resampling of discrete raster data (such as land cover, geology or soil type) to a different resolution. Continuous data (such as elevation or temperature) usually require reinterpolation when changing resolution, see r.resamp.interp.

## NOTES

The method by which resampling is conducted is "nearest neighbor" (see r.neighbors). The resulting raster map layer will have the same resolution as the resolution of the current geographic region (set using g.region).

The resulting raster map layer may be identical to the original raster map layer. The r.resample program will copy the color table and history file associated with the original raster map layer for the resulting raster map layer and will create a modified category file which contains description of only those categories which appear in resampled file.

When the user resamples a GRASS reclass file, a true raster map is created by r.resample.

## SEE ALSO

g.region, r.mapcalc, r.mfilter, r.neighbors, r.rescale, r.resamp.interp

Overview: Interpolation and Resampling in GRASS GIS

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

## SOURCE CODE

Available at: r.resample source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2020 GRASS Development Team, GRASS GIS 7.9.dev Reference Manual